### Enumeration

# Gtk Collation

since: 4.10

#### Declaration

    enum Gtk.Collation

#### Description [src]

Describes how a `GtkStringSorter` turns strings into sort keys to compare them.

Note that the result of sorting will in general depend on the current locale unless the mode is `GTK_COLLATION_NONE`.

Available since: 4.10

#### Members

`GTK_COLLATION_NONE`

  Don’t do any collation.

  - Value: `0`
  - Available since: 4.10
`GTK_COLLATION_UNICODE`

  Use `g_utf8_collate_key()`.

  - Value: `1`
  - Available since: 4.10
`GTK_COLLATION_FILENAME`

  Use `g_utf8_collate_key_for_filename()`.

  - Value: `2`
  - Available since: 4.10